View Issue Details

IDProjectCategoryView StatusLast Update
0002615ScribusStory Editor / Text Framespublic2005-09-30 20:31
Reporterchristoph_s Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Platformx86OSLinuxOS VersionSuSE 9.3
Product Version1.3.1cvs 
Target VersionFixed in Version 
Summary0002615: Ctrl + Shift + - doesn't insert a smart hyphen
DescriptionInserting a smart hyphen via "Insert" menu works fine, but it's not possible with the keyboard shortcut.
TagsNo tags attached.
Patch

Relationships

child of 0003828 acknowledged Metabug: Hyphenation 

Activities

cbradney

2005-09-26 19:22

administrator   ~0006758

The correct code is activated, but you are going to have to use the keypad - key as if you have - on another key, shifted or not, using control shift will always give you the shifted key. Here, its _, which doesnt trigger it. This is simply an issue with Qt's key events.

christoph_s

2005-09-26 19:48

administrator   ~0006759

Just a question: Why has this been changed from Ctrl + - to Ctrl + Shift + -? Ctrl + - is pretty much a standard for smart hyphens, at least in the most programmes I know. Most important, it would be consistent with OpenOffice.org/StarOffice.

cbradney

2005-09-26 19:53

administrator   ~0006760

So Control +/- works for zoom.

cbradney

2005-09-27 20:36

administrator   ~0006794

Resolving this as not an issue. Theres a known issue in Qt with regards to this stuff so its out of our hands, as well as there being so many keyboard variants out there its not funny. Users have the ability to reprogram these keys anyway.

Issue History

Date Modified Username Field Change
2005-09-26 18:30 christoph_s New Issue
2005-09-26 19:22 cbradney Note Added: 0006758
2005-09-26 19:48 christoph_s Note Added: 0006759
2005-09-26 19:53 cbradney Note Added: 0006760
2005-09-27 20:36 cbradney Status new => resolved
2005-09-27 20:36 cbradney Resolution open => no change required
2005-09-27 20:36 cbradney Assigned To => cbradney
2005-09-27 20:36 cbradney Note Added: 0006794
2005-09-30 20:31 cbradney Status resolved => closed
2006-05-16 22:07 christoph_s Relationship added child of 0003828
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames